"{ Package: 'stx:libwebkit' }"

LibraryDefinition subclass:#stx_libwebkit
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_libwebkit class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
        #'stx:libbasic'    "Object - superclass of WebKitView "
        #'stx:libbasic2'    "Socket - referenced by WebKitRenderer>>spawn "
        #'stx:libview'    "DeviceGraphicsContext - superclass of WebKitView "
        #'stx:libview2'    "ValueHolder - referenced by WebKitView>>title "
        #'stx:libwidg'    "Label - referenced by WebKitView>>initialize "
    )
! !

!stx_libwebkit class methodsFor:'description - compilation'!

additionalRules_make_dot_proto
    "allows for additional rules to be added to the make.proto file."

    ^ '
WebKitRenderer.$(shell uname -m): uzbl/uzbl-core
', Character tab , 'cp uzbl/uzbl-core WebKitRenderer.$(shell uname -m)

uzbl/uzbl-core:
', Character tab , '$(MAKE) -C uzbl uzbl-core

clean::
', Character tab , '$(MAKE) -C uzbl clean
', Character tab , 'rm WebKitRenderer.$(shell uname -m)
'


    "Created: / 22-08-2006 / 23:59:16 / cg"
    "Modified: / 09-06-2011 / 14:29:12 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

additionalTargets_make_dot_proto
    "allows for additional targets to be added to the make.proto file."

    ^ 'WebKitRenderer.$(shell uname -m)'

    "Created: / 22-08-2006 / 23:53:33 / cg"
    "Modified: / 09-06-2011 / 14:28:32 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_libwebkit class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        WebKitRenderer
        WebKitView
        #'stx_libwebkit'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
        'GenericToolbarIconLibrary class' webKit22x22
    )
! !

!stx_libwebkit class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libwebkit class methodsFor:'description - svn'!

svnRepositoryUrlString
    "Return a SVN repository URL of myself.
     (Generated since 2011-04-08)
     Do not make the string shorter!!!!!! We have to use fixed-length keyword!!!!!!
    "        

    ^ '$URL::                                                                                                                        $'
!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'nil             '"$"
! !

!stx_libwebkit class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
